- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Delete User Real-name Authentication Info
¶ Delete user real-name authentication information
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Delete user real-name authentication information through user ID, and you can choose to specify the user ID type, etc.
¶ Method name
ManagementClient.reset_user_principal_authentication_info
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| userId | string | Yes | - | The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 |
| options | ResetUserPrincipalAuthenticationInfoOptionsDto | No | - | Optional parameters |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ ResetUserPrincipalAuthenticationInfoOptionsDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| userIdType | string | No | User ID type, the default value is user_id, the optional values are:- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7- phone: user phone number- email: user email- username: username- external_id: user ID in the external system, corresponding to the externalId field of GenAuth user information- identity: user's external identity source information, in the format of <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61. | user_id |
¶ IsSuccessDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
